<!DOCTYPE html>
<html>

<head>
    <title>Signup</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='login.css') }}" />
	<link rel="icon" href="favicon.png" type="image/png" />

    <!-- Icons -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" />

    <style>

        input[type='submit'] {
            width: 100% !important;
        }

    </style>
</head>

<body>
    <div id="page">
        <!-- Header contains logout button and username -->
        <header>

            <a href="/login"><button>Back to login<span class="material-symbols-outlined">logout</span></button></a>

        </header>
        
        <form action="" method=post>
            {{ form.csrf_token }}

            <div id="input_container">
                <label for="username">Username:</label>
                {{ form.username }}
                <label for="password">Password:</label>
                {{ form.password }}
                <label for="password_confirm">Confirm Password:</label>
                {{ form.password_confirm }}
            </div>

            <input type="submit" value="Sign up">
            <input type=hidden value="{{ next or '' }}" name=next>
        </form>
    </div>

    <script>
        let error = '{{ error }}'
        if (error) alert(error)
    </script>

</body>
